From 1250168f1e7f5fb04a83a2f84c7b8cebb2e009b9 Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Fri, 11 Nov 2011 22:22:02 +0700
Subject: [PATCH 5/6] npapi: sync return of NP_GetMIMEDescription with mozilla
 sdk ("const" removed)

---
 npapi/support/npwin.cpp |    2 +-
 npapi/vlcshell.cpp      |    2 +-
 npapi/vlcshell.h        |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/npapi/support/npwin.cpp b/npapi/support/npwin.cpp
index 29a53e1..6c8cf35 100644
--- a/npapi/support/npwin.cpp
+++ b/npapi/support/npwin.cpp
@@ -182,7 +182,7 @@ NP_Shutdown()
     return NPERR_NO_ERROR;
 }
 
-const char * NP_GetMIMEDescription()
+char * NP_GetMIMEDescription()
 {
   return NPP_GetMIMEDescription();
 }
diff --git a/npapi/vlcshell.cpp b/npapi/vlcshell.cpp
index 1a02c73..82bb260 100644
--- a/npapi/vlcshell.cpp
+++ b/npapi/vlcshell.cpp
@@ -64,7 +64,7 @@ static LRESULT CALLBACK Manage( HWND p_hwnd, UINT i_msg, WPARAM wpar, LPARAM lpa
 /******************************************************************************
  * UNIX-only API calls
  *****************************************************************************/
-const char * NPP_GetMIMEDescription( void )
+char * NPP_GetMIMEDescription( void )
 {
     return mimetype;
 }
diff --git a/npapi/vlcshell.h b/npapi/vlcshell.h
index 07bf4a9..84eb28e 100644
--- a/npapi/vlcshell.h
+++ b/npapi/vlcshell.h
@@ -24,7 +24,7 @@
 #ifndef __VLCSHELL_H__
 #define __VLCSHELL_H__
 
-const char * NPP_GetMIMEDescription( void );
+char * NPP_GetMIMEDescription( void );
 
 NPError NPP_Initialize( void );
 
-- 
1.7.7.1.msysgit.0

